> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flozy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Leads

> Prospects and clients — the central resource in Flozy.

A **lead** represents a prospect or client. It is the central resource — tasks, opportunities, contacts, and custom field values all attach to leads.

## Lead object

| Field         | Type           | Description                                                              |
| ------------- | -------------- | ------------------------------------------------------------------------ |
| `id`          | integer        | Unique lead ID.                                                          |
| `uuid`        | string (uuid)  | Globally unique identifier.                                              |
| `title`       | string         | Lead name or company.                                                    |
| `status_name` | string \| null | Status slug. Use `GET /lead-statuses` to list available values.          |
| `meta_data`   | object \| null | Extra data. Contains an `about` sub-object with `description` and `url`. |
| `avatar`      | string \| null | Avatar URL or emoji.                                                     |
| `avatar_type` | string \| null | `"emoji"` or `"image"`.                                                  |
| `created_at`  | string         | ISO 8601 creation timestamp.                                             |
| `updated_at`  | string         | ISO 8601 last-updated timestamp.                                         |

## Endpoints

<CardGroup cols={2}>
  <Card title="List leads" icon="list" href="/api-reference/leads/list">
    `GET /leads`
  </Card>

  <Card title="Get lead" icon="magnifying-glass" href="/api-reference/leads/get">
    `GET /leads/{id}`
  </Card>

  <Card title="Create lead" icon="plus" href="/api-reference/leads/create">
    `POST /leads`
  </Card>

  <Card title="Update lead" icon="pen" href="/api-reference/leads/update">
    `PUT /leads/{id}`
  </Card>

  <Card title="Upsert status" icon="tag" href="/api-reference/leads/upsert-status">
    `PUT /leads/{id}/status`
  </Card>

  <Card title="Delete lead" icon="trash" href="/api-reference/leads/delete">
    `DELETE /leads/{id}`
  </Card>
</CardGroup>
